کلینیک فوق تخصصی اکسس ( کاربرد vba در اکسس )

کلینیک فوق تخصصی اکسس ( کاربرد vba در اکسس )

به اشتراک گذاری اطلاعات کسب شده در اکسس از سایت آفیس و سایت های تخصصی خارجی
کلینیک فوق تخصصی اکسس ( کاربرد vba در اکسس )

کلینیک فوق تخصصی اکسس ( کاربرد vba در اکسس )

به اشتراک گذاری اطلاعات کسب شده در اکسس از سایت آفیس و سایت های تخصصی خارجی

ACAD




Use version-dependent ProgIDs. If a CreateObject or GetObject function uses a version-independent ProgID, change the function to use a version-dependent ProgID. For example, you would change CreateObject ("AutoCAD.Application") to CreateObject ("AutoCAD.Application.16").

The application object is also the Global object for the ActiveX interface. This means that all the methods and properties for the Application object are available in the global name space.

Use the Quit method to end the AutoCAD session.

Methods

Eval

GetAcadState

GetInterfaceObject

ListARX

LoadARX

LoadDVB

Quit

RunMacro

StatusID

UnloadARX

UnloadDVB

Update

ZoomAll

ZoomCenter

ZoomExtents

ZoomPickWindow

ZoomPrevious

ZoomScaled

ZoomWindow  

Properties

ActiveDocument

Application

Caption

Documents

FullName

Height

HWND

HWND32

LocaleID

MenuBar

MenuGroups

Name

Path

Preferences

StatusID

VBE

Version

Visible

Width

WindowLeft

WindowState

WindowTop  

Events

AppActivate

AppDeactivate

ARXLoaded

ARXUnloaded

BeginCommand

BeginFileDrop

BeginLISP

BeginModal

BeginOpen

BeginPlot

BeginQuit

BeginSave

EndCommand

EndLISP

EndModal

EndOpen

EndPlot

EndSave

LISPCancelled

NewDrawing

SysVarChanged

WindowChanged

WindowMovedOrResized  





document_object



Sub Bill()
'Managers to extract/parse AutoCAD drawing information
Dim symbb As McadSymbolBBMgr
Dim bommgr As McadBOMMgr
Dim BOM As McadBOM
Dim bomITEM As McadBOMItem
Dim name As String
Dim BOMbit As String
Dim data As Variant

'Defines the bill of materials managers for extraction Set symbb = ThisDrawing.Application.GetInterfaceObject("SymBBAuto.McadSymbolBBMgr") Set bommgr = symbb.bommgr 'Tests for BOM with the name "MAIN" in drawing, "MAIN" is default when no title border is selected If bommgr.BOMTableExists(ThisDrawing.ModelSpace) Then Set BOM = bommgr.GetBOMTable(ThisDrawing.ModelSpace, "MAIN") Else ThisDrawing.Utility.Prompt "No Usable Parts List" End End If For Each bomITEM In BOM.Items data = bomITEM.data For i = LBound(data) To UBound(data) Debug.Print data(i, 0), data(i, 1) ' Is the; what; the; general; name; of; Column ' ' is the value in the cell Next Next
End Sub



sldworks.IBomTable